package Model;

import java.awt.geom.Point2D;

public class Point implements IPoint {

	private int pointId;
	private Point2D.Double point;
	private int pressure;
	private float time;
	
	public Point(int pointId, Point2D.Double point, int pressure, float time) {
		this(point, pressure, time);
		this.pointId = pointId;
	}

	public Point(Point2D.Double point, int pressure, float time) {
		this.point = point;
		this.pressure = pressure;
		this.time = time;
		this.pointId = 0;
	}
	
	public Point(IPoint p) {
		this.point = p.getPoint();
		this.pressure = p.getPressure();
		this.time = p.getTime();
		this.pointId = p.getPointId();
	}

	public int getPointId() {
		return pointId;
	}

	public Point2D.Double getPoint() {
		return point;
	}
	
	public void setPoint(Point2D.Double point) {
		this.point = point;
	}

	public int getPressure() {
		return pressure;
	}
	
	public void setPressure(int pressure) {
		this.pressure = pressure;
	}

	public float getTime() {
		return time;
	}
	
	public void setTime(float time) {
		this.time = time;
	}
	
	public String toString(){
		return "Point="+point.toString()+", Time="+time+", Pressure="+pressure;
	}
	
}
